#-------------------------------------------------
#
# Project created by QtCreator 2015-10-28T15:27:14
#
#-------------------------------------------------

QT       += widgets sql

TARGET = accommodation
TEMPLATE = lib

DEFINES += ACCOMMODATION_LIBRARY\
        _GLIBCXX_USE_CXX11_ABI=1

SOURCES += accommodation.cpp \
    data/person.cpp \
    accommodationservice.cpp \
    tablemodel.cpp \
    acform.cpp \
    accgrid.cpp \
    data/address.cpp

HEADERS += accommodation.h\
        accommodation_global.h \
    data/person.h \
    accommodationservice.h \
    tablemodel.h \
    acform.h \
    accgrid.h \
    data/address.h \
    data/accommodation-data.h

unix {
    target.path = /usr/lib
    INSTALLS += target
    QMAKE_CXXFLAGS += -std=c++11
    QMAKE_CXXFLAGS += -Wno-unknown-pragmas
}

win32 {
    QMAKE_CXXFLAGS += -wd4995 -wd4068
}

win32:CONFIG(release, debug|release): LIBS += -L$$OUT_PWD/../core/release/ -lcore
else:win32:CONFIG(debug, debug|release): LIBS += -L$$OUT_PWD/../core/debug/ -lcore
else:unix: LIBS += -L$$OUT_PWD/../core/ -lcore

INCLUDEPATH += $$PWD/../core
DEPENDPATH += $$PWD/../core

DESTDIR = ../plugins

OTHER_FILES += \
    accommodation.json

FORMS += \
    acform.ui

ODB_FILES = accommodation/data/accommodation-data.h
H_DIR = $$PWD/data/*.h
include(../odb.pri)

win32:CONFIG(release, debug|release): LIBS += -L$$OUT_PWD/../qdecimal/lib/ -lqdecimal -ldecnumber
else:win32:CONFIG(debug, debug|release): LIBS += -L$$OUT_PWD/../qdecimal/lib/ -lqdecimal -ldecnumber
else:unix: LIBS += -L$$OUT_PWD/../qdecimal/lib/ -lqdecimal -ldecnumber

INCLUDEPATH += $$PWD/../qdecimal/src
INCLUDEPATH += $$PWD/../qdecimal/decnumber

RESOURCES += \
    accrc.qrc

